searchNodes=[{"doc":"The main feature provided by this module is the ability to set the HTML and/or text body of an email by rendering templates.It has been designed to integrate with Phoenix view, template and layout system.Example# web/templates/layout/email.html.eex &lt;html&gt; &lt;head&gt; &lt;title&gt;&lt;%= @email.subject %&gt;&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;%= @inner_content %&gt; &lt;/body&gt; &lt;/html&gt; # web/templates/email/welcome.html.eex &lt;div&gt; &lt;h1&gt;Welcome to Sample, &lt;%= @username %&gt;!&lt;/h1&gt; &lt;/div&gt; # web/emails/user_email.ex defmodule Sample.UserEmail do use Phoenix.Swoosh, view: Sample.EmailView, layout: {Sample.LayoutView, :email} def welcome(user) do new() |&gt; from(&quot;tony@stark.com&quot;) |&gt; to(user.email) |&gt; subject(&quot;Hello, Avengers!&quot;) |&gt; render_body(&quot;welcome.html&quot;, %{username: user.email}) end end","ref":"Phoenix.Swoosh.html","title":"Phoenix.Swoosh","type":"module"},{"doc":"Retrieves the current layout of an email.","ref":"Phoenix.Swoosh.html#layout/1","title":"Phoenix.Swoosh.layout/1","type":"function"},{"doc":"Stores the layout for rendering.The layout must be a tuple, specifying the layout view and the layout name, or false. In case a previous layout is set, put_layout also accepts the layout name to be given as a string or as an atom. If a string, it must contain the format. Passing an atom means the layout format will be found at rendering time, similar to the template in render_body/3. It can also be set to false. In this case, no layout would be used.Examplesiex&gt; layout(email) false iex&gt; email = put_layout email, {LayoutView, &quot;email.html&quot;} iex&gt; layout(email) {LayoutView, &quot;email.html&quot;} iex&gt; email = put_layout email, &quot;email.html&quot; iex&gt; layout(email) {LayoutView, &quot;email.html&quot;} iex&gt; email = put_layout email, :email iex&gt; layout(email) {AppView, :email}","ref":"Phoenix.Swoosh.html#put_layout/2","title":"Phoenix.Swoosh.put_layout/2","type":"function"},{"doc":"Stores the layout for rendering if one was not stored yet.","ref":"Phoenix.Swoosh.html#put_new_layout/2","title":"Phoenix.Swoosh.put_new_layout/2","type":"function"},{"doc":"Stores the view for rendering if one was not stored yet.","ref":"Phoenix.Swoosh.html#put_new_view/2","title":"Phoenix.Swoosh.put_new_view/2","type":"function"},{"doc":"Stores the view for rendering.","ref":"Phoenix.Swoosh.html#put_view/2","title":"Phoenix.Swoosh.put_view/2","type":"function"},{"doc":"Renders the given template and assigns based on the email.Once the template is rendered the resulting string is stored on the email fields html_body and text_body depending on the format of the template.Argumentsemail - the Swoosh.Email structtemplate - may be an atom or a string. If an atom, like :welcome, it will render both the HTML and text template and stores them respectively on the email. If the template is a string it must contain the extension too, like welcome.html.assigns - a dictionnary with the assigns to be used in the view. Those assigns are merged and have higher order precedence than the email assigns. (email.assigns)Exampledefmodule Sample.UserEmail do use Phoenix.Swoosh, view: Sample.EmailView def welcome(user) do %Email{} |&gt; from(&quot;tony@stark.com&quot;) |&gt; to(user.email) |&gt; subject(&quot;Hello, Avengers!&quot;) |&gt; render_body(&quot;welcome.html&quot;, %{username: user.email}) end endThe example above renders a template welcome.html from Sample.EmailView and stores the resulting string onto the html_body field of the email. (email.html_body)In many cases you may want to set both the html and text body of an email. To do so you can pass the template name as an atom (without the extension):def welcome(user) do %Email{} |&gt; from(&quot;tony@stark.com&quot;) |&gt; to(user.email) |&gt; subject(&quot;Hello, Avengers!&quot;) |&gt; render_body(:welcome, %{username: user.email}) endLayoutsTemplates are often rendered inside layouts. If you wish to do so you will have to specify which layout you want to use when using the Phoenix.Swoosh module.defmodule Sample.UserEmail do use Phoenix.Swoosh, view: Sample.EmailView, layout: {Sample.LayoutView, :email} def welcome(user) do %Email{} |&gt; from(&quot;tony@stark.com&quot;) |&gt; to(user.email) |&gt; subject(&quot;Hello, Avengers!&quot;) |&gt; render_body(&quot;welcome.html&quot;, %{username: user.email}) end endThe example above will render the welcome.html template inside an email.html template specified in Sample.LayoutView. put_layout/2 can be used to change the layout, similar to how put_view/2 can be used to change the view.","ref":"Phoenix.Swoosh.html#render_body/3","title":"Phoenix.Swoosh.render_body/3","type":"function"}]